Reports
Create Report
Create a static report artifact draft from a predefined template.
Create a static report artifact draft from a predefined template.
X-API-Key<token>
Use X-API-Key: .
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/reports" \ -H "Content-Type: application/json" \ -d '{ "spaceId": "string", "templateId": "string", "title": "string" }'{ "archivedAt": null, "createdAt": "string", "createdByUserId": "string", "description": "string", "generatedAt": null, "id": "string", "sources": [ { "createdAt": "string", "dataSourceId": "string", "dataSourceName": "string", "reportId": "string", "unavailableAt": null, "updatedAt": "string" } ], "space": { "id": "string", "name": "string" }, "spaceId": "string", "template": null, "templateId": "string", "title": "string", "updatedAt": "string"}{ "cause": { "code": "api/invalid-json", "detail": "string" }, "message": "The request body is not valid JSON"}{ "cause": { "code": "auth/jwt-invalid", "detail": "malformed" }, "message": "Token verification failed"}{ "cause": { "code": "api/no-active-team", "detail": "You must have an active team. Please select a team to continue." }, "message": "No active team"}{ "cause": { "code": "api/unsupported-media-type", "detail": "GET requests cannot have a content type header" }, "message": "Unsupported Media Type"}